Subject: Re: bug#34763: 27.0.50; url-retrieve-synchronously misbehaves inside eldoc-documentation-function

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Apr 2019 18:46:22 +0300

> From: Dmitry Gutov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 10 Apr 2019 04:44:15 +0300
> 
> >> The list gets shorter over time.
> > 
> > That's why I proposed to kill the processes manually, but you say it
> > didn't help, which is strange.  Does killing processes also make the
> > list shorter?
> 
> It does, yes. If I kill the processes inside Emacs, the connections 
> first become "orphaned", but in a few minutes, they disappear, if I 
> don't create any new ones. That doesn't fix the problem, unfortunately 
> (transfers are still not remotely as fast as they were initially). 
> Resetting url-http-open-connections to an empty hash doesn't help either.

So I guess either Emacs is busy doing something (or making transfers
slower in some other way), or the other end of the connection
(including the transit points) does something to slow us down.  Hmm...